<template>
  <div class="legend-panel">

    <transition name="fade">
      <div class="legend-content map-background" v-show="legendControl">
        <div class="legend-content-box" v-for="(item,index) in legendContents" :key="index">
          <p><span>{{ item.title }}</span></p>
          <div :class="index === 5 ? '':'map-under-line'"></div>
          <ul  >
            <!--            <div >-->
            <li v-for="(ite,inde) in item.items" :key="inde">
              <img :src='ite.legendImage' alt=''>
              <span>{{ ite.legendContent }}</span>
            </li>

            <!--            </div>-->
          </ul>

        </div>
      </div>
    </transition>
    <el-tooltip popper-class="map-tooltip" effect="dark" content="图例" placement="left">
      <div class="legend-btn" @click="legendChange()">
        <i class="el-icon-more-outline"></i>
<!--        <span>图例</span>-->
      </div>
    </el-tooltip>

  </div>
</template>

<script>
export default {
  name: 'LegendPanel',
  data () {
    return {
      // 控制图例 内容的 显示/隐藏
      legendControl: false,
      // 图里存储数据
      legendContents: [
        {
          title: '企业',
          items: [
            {
              legendImage: '../.././assets/images/map-pages/setting.png',
              legendContent: '中国石化'
            },
            {
              legendImage: '../.././assets/images/map-pages/setting.png',
              legendContent: '油田企业      '
            },
            {
              legendImage: '../.././assets/images/map-pages/setting.png',
              legendContent: '炼化企业'
            },
            {
              legendImage: '../.././assets/images/map-pages/setting.png',
              legendContent: '销售企业'
            }
          ]
        },
        {
          title: '水情',
          items: [
            {
              legendImage: '../.././assets/images/map-pages/setting.png',
              legendContent: '水文站'
            }
          ]
        },
        {
          title: '管线',
          items: [
            {
              legendImage: '../.././assets/images/map-pages/setting.png',
              legendContent: '天然气管线'
            },
            {
              legendImage: '../.././assets/images/map-pages/setting.png',
              legendContent: '天然气场站'
            },
            {
              legendImage: '../.././assets/images/map-pages/setting.png',
              legendContent: '成品油管线'
            },
            {
              legendImage: '../.././assets/images/map-pages/setting.png',
              legendContent: '成品油场站'
            }
          ]
        },
        {
          title: '台风',
          items: [
            {
              legendImage: '../.././assets/images/map-pages/setting.png',
              legendContent: '台风实测中心'
            },
            {
              legendImage: '../.././assets/images/map-pages/setting.png',
              legendContent: '台风实测路径'
            },
            {
              legendImage: '../.././assets/images/map-pages/setting.png',
              legendContent: '台风预测中心'
            },
            {
              legendImage: '../.././assets/images/map-pages/setting.png',
              legendContent: '台风预测路径'
            },
            {
              legendImage: '../.././assets/images/map-pages/setting.png',
              legendContent: '台风当前中心'
            }
          ]
        },
        {
          title: '降水等级(单位：mm)',
          items: [
            {
              legendImage: '../.././assets/images/map-pages/setting.png',
              legendContent: '小雨0-5'
            },
            {
              legendImage: '../.././assets/images/map-pages/setting.png',
              legendContent: '中雨5-10'
            },
            {
              legendImage: '../.././assets/images/map-pages/setting.png',
              legendContent: '大雨10-20'
            },
            {
              legendImage: '../.././assets/images/map-pages/setting.png',
              legendContent: '暴雨20-50'
            },
            {
              legendImage: '../.././assets/images/map-pages/setting.png',
              legendContent: '大暴雨50-100'
            }
          ]
        }
      ]
    }
  },
  methods: {
    // 图标 控制内容的展示与隐藏
    legendChange () {
      this.legendControl = !this.legendControl
      if (!this.legendControl) {
        return document.getElementsByTagName('legend-btn')[0].classList.add('btn-active')
      }
      return document.getElementsByTagName('legend-btn')[0].classList.remove('btn-active')
    }
  }
}
</script>

<style lang="less" >
@import '@assets/css/map/_map-variable';
@import '@assets/css/map/map-elem-ui';
.legend-panel {
  position: absolute;
  z-index: 502;
  bottom: .11979rem;
  right: .14583rem;
  -webkit-box-direction: normal;
  -ms-flex-direction: column;
  flex-direction: column;
  -webkit-box-align: end;
  -ms-flex-align: end;
  //align-items: flex-end;
  transition: all .5s;
  .legend-btn {
    width: .2rem;
    height: .2rem;
    //font-size: .08333rem;
    border: .00521rem solid @background-color-light;
    border-radius: @border-radius;
    text-align: center;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -ms-flex-direction: column;
    flex-direction: column;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
    background: @background-color;
    margin-top: .04167rem;
    cursor: pointer;
    color: @color;
    margin-left: auto;
    font-size: 0.08333rem;
  }

  @keyframes bounce-in {
    0% {
      transform: scale(0);
      opacity: 0.3;
    }
    100% {
      transform: scale(1);
      opacity: 1;
    }
  }

  .fade-enter-active {
    transform-origin: right bottom;
    animation: bounce-in .2s;
  }

  .fade-leave-active {
    transform-origin: right bottom;
    animation: bounce-in .2s reverse;
  }

  .legend-content {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: horizontal;
    -webkit-box-direction: reverse;
    -ms-flex-direction: row-reverse;
    flex-direction: row-reverse;

    width: -webkit-max-content;
    width: -moz-max-content;
    width: max-content;

    overflow: hidden;
    min-height: 1.28646rem;

    .legend-content-box {
      font-size: 0.07292rem;
      padding: .10417rem;
      border-left: .00521rem solid @background-color-split;
      p {
        text-align: center;
        margin: 0 !important;
        //padding: 0;
        //color: @color-title;
        -webkit-margin-before: 0.3rem;
        margin-block-start: 0.3rem;
        -webkit-margin-after: 0.2rem;
        margin-block-end: 0.2rem;
        margin-bottom: 0.05208rem !important;
        span {
          color: @color-title;
          font-size: .08333rem;
          font-weight: 600;
        }
      }

      ul {
        list-style: none;
        flex-wrap: wrap;
        margin: 0 !important;
        padding: 0 !important;;
        padding-inline: 0;
        font-size: .08333rem;

          li {
            list-style: none;
            display: flex;
            -webkit-box-align: center;
            align-items: center;
            margin: 0.05208rem 0;
            img {
              width: .08333rem;
              height: .08333rem;
              margin-right: .01042rem;
            }

            span {
              color: @color;
            }
          }
      }
    }

  }
}
</style>
